\begin{exercise}{1.5}
\begin{lemma}
  \label{lem:1.5}
  Let \(\alpha>0\). Then
  \[
    \int_{\alpha}^{+\infty} e^{-y^2}\dif y < \frac12 \frac{e^{-\alpha^2}}{\alpha}.
  \]
  \begin{proof}
    Let's use integration by parts:
    \[
      \int_{\alpha}^{+\infty} e^{-y^2} \dif y= \frac12\int_{\alpha}^{+\infty} \frac{2ye^{-y^2}}{y} \dif y
          = \frac12\left[ \left.\frac{-e^{-y^2}}{y}\right|_{\alpha}^{+\infty} - 
                          \int_{\alpha}^{+\infty} \frac{-e^{-y^2}}{-y^2} \dif y\right]
          < \frac12 \frac{e^{-\alpha^2}}{\alpha}
    \]
  \end{proof}
\end{lemma}
Let \[
  G{(x)} \coloneqq \Prob{X\ge x},
\]
which is integrable since positive and bounded. Let's compute it's integral over the support of \(X\):
\[
  \int_0^{+\infty}G(x) \dif x = \int_0^{+\infty}\dif x \int_\mathds{R}\dif \mathbb{P}_X{(y)}\, \IndicatorCond{y\ge x} 
                              \stackrel{\text{FT}}{=} \int_\mathds{R}\dif\mathbb{P}_X{(y)} \int_0^{+\infty}\dif x\, \IndicatorCond{y\ge x}
                              = \int_\mathds{R}\dif\mathbb{P}_X{(y)}\, y = \ExpVal{X},
\]
where we used Fubini-Tonelli Theorem to exchange integrals order. Since \(G(x)\) is a probability, it's less than 1, so we can rewrite the hypothesis \(G(x) \le a \exp{\left(-\frac{x^2}{b^2}\right)}\) as 
\[
G(x) \le \min\left( a e^{-\frac{x^2}{b^2}}, 1\right).
\]
The function \(e^{-\frac{x^2}{b^2}}\) is decreasing in \([0, +\infty)\). Moreover, it is valued \(a\ge 1\) at 0, and it goes to 0 at \(+\infty\), so 
\[
\exists!\, \bar{x}\colon\,\, e^{-\frac{\bar{x}^2}{b^2}}=1 \implies \bar{x}=\sqrt{b \log a}.
\]

Using these results
\[
  \ExpVal{X} \le \int_0^{+\infty} \min\left( a e^{-\frac{x^2}{b^2}}, 1\right) 
             = \int_{0}^{\bar{x}}\dif x + a \int_{\bar{x}}^{+\infty} e^{-\frac{x^2}{b^2}}
             = b\sqrt{\log a} + ab \int_{\sqrt{\log {a}}}^{+\infty} e^{-y^2}\dif y
\]
We can now use the \lemref{lem:1.5} to estimate the integral
\[
\ExpVal{X} \le b\sqrt{\log a} + \frac12 ab \frac{e^{-\left(\sqrt{\log a}\right)^2}}{\sqrt{\log a}}
           = b\left(\sqrt{\log a} + \frac12 \frac{1}{\sqrt{\log a}}\right)
           < b\left(\sqrt{\log a} + 1\right),
\]
where we used \(a\ge e\) in the last inequality.

\end{exercise}